


package gui;

import javax.swing.*;


/** Class for making a customized comboBox editor
  *
  * This class is used by the comboBoxes in the table in ShipPanel
  * It extends the DefaultCellEditor.
  * 
  * @author      Elin Marie Kristensen
  * @author      Mari Torgersrud Haug
  * @version     18.05.2006
  * @see         ShipPanel
  */

public class ComboEditor extends DefaultCellEditor{   
 /** Constructor for the ComboEditor
  * 
  * @param String[] items an array with strings to be displayed in the ComboBox
  * 
  */   

        public ComboEditor(String[] items) {

           super(new JComboBox(items));

        }

}    









