<BAPI_Database
    :version  46
    :superclass  "ClosedWorld"
    :doc
	<BAPI_Text
	    :hard_lab  "Doc:"
	    :lab  "Documentation"
	    :val  `/**BeliefSet ShipBs
 * 
 * ShipBs contains ship data.
 *  
 * @author Mari Torgersrud Haug
 * @author Elin M Kristensen
 * @version 29.05.06
 */`
	>
    :name  "ShipBs"
    :filename  "gui/ShipBs.gdb"
    :type  "aos.jack.ed.Database"
    :java
	<BAPI_Java
	    :pkg
		<BAPI_TextLine
		    :val  "gui"
		>
	>
    :dbfields
	(
	    <BAPI_DBField =0
		:name  "name"
		:isKey  :true
	    >
	    <BAPI_DBField =1
		:name  "length"
		:type  "int"
	    >
	    <BAPI_DBField =2
		:name  "width"
		:type  "int"
	    >
	    <BAPI_DBField =3
		:name  "draft"
		:type  "double"
	    >
	    <BAPI_DBField =4
		:name  "capacity"
		:type  "int"
	    >
	    <BAPI_DBField =5
		:name  "numberOfHoles"
		:type  "int"
	    >
	)
    :queries
	(
	    <BAPI_DBQuery
		:name  "getShipVariables"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&1 >
			>
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
			<BAPI_InternalRef
			    :ref
				<&3 >
			>
			<BAPI_InternalRef
			    :ref
				<&4 >
			>
			<BAPI_InternalRef
			    :ref
				<&5 >
			>
		    )
	    >
	    <BAPI_DBQuery
		:name  "getShip"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&0 >
			>
			<BAPI_InternalRef
			    :ref
				<&1 >
			>
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
			<BAPI_InternalRef
			    :ref
				<&3 >
			>
			<BAPI_InternalRef
			    :ref
				<&4 >
			>
			<BAPI_InternalRef
			    :ref
				<&5 >
			>
		    )
	    >
	)
>
