<BAPI_Database
    :version  46
    :superclass  "OpenWorld"
    :doc
	<BAPI_Text
	    :hard_lab  "Doc:"
	    :lab  "Documentation"
	    :val  `/**BeliefSet MyLiftingArmBS
 * 
 * MyLiftingArmBS contains information about all lifting arms
 * related to one Berth.
 * 
 * @author Mari Torgersrud Haug
 * @author Elin M Kristensen
 * @version 29.05.06
 */`
	>
    :name  "MyLiftingArmBs"
    :filename  "berth/MyLiftingArmBs.gdb"
    :type  "aos.jack.ed.Database"
    :java
	<BAPI_Java
	    :pkg
		<BAPI_TextLine
		    :val  "berth"
		>
	>
    :dbfields
	(
	    <BAPI_DBField =0
		:name  "liftingArmId"
		:isKey  :true
	    >
	    <BAPI_DBField =1
		:name  "capacity"
		:type  "int"
	    >
	    <BAPI_DBField
		:name  "product"
	    >
	)
    :queries
	(
	    <BAPI_DBQuery
		:name  "getProduct"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&0 >
			>
			<BAPI_InternalRef
			    :ref
				<&1 >
			>
		    )
	    >
	)
>
